<package xmlNamespace="" packageName="net.ihe.gazelle.hpd.validator.core.searchResponse" standards="">
		<name>searchResponse</name>
		<description></description>
  			<ConstraintsSpec>
  						<name>SearchResultEntrySpec</name>
  						<xmlName>SearchResultEntrySpec</xmlName>
  						<parentId>core-SearchResultEntry</parentId>
  						<constraint>
  							<name>constraint_hpd_searchResponse_SearchResultEntryDnValidOu</name>
  							<description>Nodes that are subordinates to dc=HPD are ou=HCProfessional, ou=HCRegulatedOrganization, ou=HPDCredential and ou=Relationship (see
  			                  section 3.58.4.1.2.1 HPD Schema Structure)</description>
  							<ocl>self.matches(self.dn.oclAsType(String).toLowerCase(), &#039;.*(ou=(hcprofessional|hcregulatedorganization|relationship|hpdcredential)){1}.*&#039;)</ocl>
  							<type>ERROR</type>
  							
  							<assertion assertionId="IHEHPD-060" idScheme="IHEHPD"/>
  							
  							
  							
  							
  							
  						</constraint>
  						<constraint>
  							<name>constraint_hpd_searchReponse_searchResultEntryDNSyntax</name>
  							<description>dn attribute SHALL be formatted as a Distinguish name string.</description>
  							<ocl>self.matches(self.dn.oclAsType(String),&#039;^(.+[=]{1}.+)([,{1}].+[=]{1}.+)*$&#039;)</ocl>
  							<type>ERROR</type>
  							
  							<assertion assertionId="IHEHPD-059" idScheme="IHEHPD"/>
  							
  							
  							
  							
  							
  						</constraint>
  					</ConstraintsSpec>
  			<ConstraintsSpec>
  						<name>SearchResponseSpec</name>
  						<xmlName>SearchResponseSpec</xmlName>
  						<parentId>core-SearchResponse</parentId>
  						<constraint>
  							<name>constraint_hpd_searchResponse_requestIDCard</name>
  							<description>The Provider Information Query Response shall contain the requestID to associate the response to the Provider Information Query Request. (see section 3.58.4.2.2: Message Semantics)</description>
  							<ocl>not self.requestID.oclIsUndefined()</ocl>
  							<type>ERROR</type>
  							
  							<assertion assertionId="IHEHPD-058" idScheme="IHEHPD"/>
  							
  							
  							
  							
  							
  						</constraint>
  					</ConstraintsSpec>
  			<AdvancedTemplate>
  						<name>credentialTypeAttrForHCRegulatedOrganizationTemplate</name>
  						<xmlName>credentialTypeAttrForHCRegulatedOrganizationTemplate</xmlName>
  						<parentId>core-SearchResultEntry</parentId>
  						<constraint>
  							<name>constraint_hpd_searchResultEntryHCRegulatedOrganization_credentialTypeValue</name>
  							<description>Degree is not a valid type for Organizational Provider&#039;s credential. Valid values are certificate and credential. (see Table 3.58.4.1.2.2.1-2: HPDProviderCredential Mandatory Attributes)</description>
  							<ocl>self.attr-&gt;select(at: DsmlAttr |
  				at.name.toLowerCase()=&#039;credentialtype&#039;	
  			).value-&gt;forAll(val: String | 
  				val.toLowerCase()=&#039;certificate&#039; or val.toLowerCase()=&#039;credential&#039;)</ocl>
  							<type>ERROR</type>
  							
  							<assertion assertionId="IHEHPD-064" idScheme="IHEHPD"/>
  							
  							
  							
  							
  							
  						</constraint>
  						<constraintAdvanced>self.matches(self.dn.oclAsType(String).toLowerCase(), '.*(ou=hcregulatedOrganization){1}.*') and self.attr->select(at: DsmlAttr | at.name.toLowerCase()='credentialtype')->size() > 0</constraintAdvanced>
  					</AdvancedTemplate>
  			<AdvancedTemplate>
  						<name>hpdProviderStatusAttrForHCProfessionalTemplate</name>
  						<xmlName>hpdProviderStatusAttrForHCProfessionalTemplate</xmlName>
  						<parentId>core-SearchResultEntry</parentId>
  						<constraint>
  							<name>constraint_hpd_searchResultEntryHCProfessional_hpdProviderStatusValue</name>
  							<description>When the returned entry is for Individual Provider, valid values for attribute hpdProviderStatus are Active, Inactive, Retired and Deceased (see Table 3.58.4.1.2.3-1: Status Code Category Values)</description>
  							<ocl>self.attr-&gt;select(at: DsmlAttr |
  				at.name.toLowerCase()=&#039;hpdproviderstatus&#039;	
  			).value-&gt;forAll(val: String | 
  				val.toLowerCase() = &#039;active&#039; or val.toLowerCase()=&#039;inactive&#039; or val.toLowerCase()=&#039;retired&#039; or val.toLowerCase()=&#039;deceased&#039;)</ocl>
  							<type>ERROR</type>
  							
  							<assertion assertionId="IHEHPD-061" idScheme="IHEHPD"/>
  							
  							
  							
  							
  							
  						</constraint>
  						<constraintAdvanced>self.matches(self.dn.oclAsType(String).toLowerCase(), '.*(ou=hcprofessional){1}.*') and self.attr->select(at: DsmlAttr | at.name.toLowerCase()='hpdproviderstatus')->size() > 0</constraintAdvanced>
  					</AdvancedTemplate>
  			<AdvancedTemplate>
  						<name>hpdProviderStatusAttrForHCRegulatedOrganizationTemplate</name>
  						<xmlName>hpdProviderStatusAttrForHCRegulatedOrganizationTemplate</xmlName>
  						<parentId>core-SearchResultEntry</parentId>
  						<constraint>
  							<name>constraint_hpd_searchResultEntryHCRegulatedOrganization_hpdProviderStatusValue</name>
  							<description>When the returned entry is for Organization Provider, valid values for attribute hpdProviderStatus are Active and Inactive (see Table 3.58.4.1.2.3-1: Status Code Category Values)</description>
  							<ocl>self.attr-&gt;select(at: DsmlAttr |
  				at.name.toLowerCase()=&#039;hpdproviderstatus&#039;	
  			).value-&gt;forAll(val: String | 
  				val.toLowerCase() = &#039;active&#039; or val.toLowerCase()=&#039;inactive&#039;)</ocl>
  							<type>ERROR</type>
  							
  							<assertion assertionId="IHEHPD-062" idScheme="IHEHPD"/>
  							
  							
  							
  							
  							
  						</constraint>
  						<constraintAdvanced>self.matches(self.dn.oclAsType(String).toLowerCase(), '.*(ou=hcregulatedorganization){1}.*') and self.attr->select(at: DsmlAttr | at.name.toLowerCase()='hpdproviderstatus')->size() > 0</constraintAdvanced>
  					</AdvancedTemplate>
  			<AdvancedTemplate>
  						<name>credentialTypeAttrForHCProfessionalTemplate</name>
  						<xmlName>credentialTypeAttrForHCProfessionalTemplate</xmlName>
  						<parentId>core-SearchResultEntry</parentId>
  						<constraint>
  							<name>constraint_hpd_searchResultEntryHCProfessional_credentialTypeValue</name>
  							<description>Valid values for credentialType are degree, certificate and credential (see Table 3.58.4.1.2.2.1-2: HPDProviderCredentialMandatory Attributes)</description>
  							<ocl>self.attr-&gt;select(at: DsmlAttr |
  				at.name.toLowerCase()=&#039;credentialtype&#039;	
  			).value-&gt;forAll(val: String | 
  				val.toLowerCase() = &#039;degree&#039; or val.toLowerCase()=&#039;certificate&#039; or val.toLowerCase()=&#039;credential&#039;)</ocl>
  							<type>ERROR</type>
  							
  							<assertion assertionId="IHEHPD-063" idScheme="IHEHPD"/>
  							
  							
  							
  							
  							
  						</constraint>
  						<constraintAdvanced>self.matches(self.dn.oclAsType(String).toLowerCase(), '.*(ou=hcprofessional){1}.*') and self.attr->select(at: DsmlAttr | at.name.toLowerCase()='credentialtype')->size() > 0</constraintAdvanced>
  					</AdvancedTemplate>
	</package>

